Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.engine
Interface IPhaseSet

All Known Subinterfaces:
  ISizingPhaseSet

    public interface IPhaseSet

Describes a set of provisioning phases to be performed by an `IEngine`.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String[]` `getPhaseIds()` Returns the ids of the phases to be performed by this phase set.

Method Detail

### getPhaseIds

    String[] getPhaseIds()

  Returns the ids of the phases to be performed by this phase set. The order of the returned ids indicates the order in which the phases will be run.

  Returns:
    The phase ids.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.